> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List identity providers (summary)

> Get a list of identity providers for an account



## OpenAPI

````yaml get /saml2/accounts/{account_id}/idps
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Password
  - name: Players
  - name: Services
  - name: Sessions
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Trials
  - name: Uploads
  - name: Usage
  - name: Users
  - name: Videos
paths:
  /saml2/accounts/{account_id}/idps:
    parameters:
      - $ref: '#/components/parameters/accountId'
      - $ref: '#/components/parameters/authenticateVideoId'
    get:
      tags:
        - Identity providers
      summary: List identity providers (summary)
      description: Get a list of identity providers for an account
      responses:
        '200':
          $ref: '#/components/responses/Saml2IdentityProviders'
components:
  parameters:
    accountId:
      name: account_id
      in: path
      description: ID of the account
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
    authenticateVideoId:
      name: authenticate_video_id
      in: query
      description: >-
        Used after a redirect when trying to watch a video that requires
        authentication. The video id is returned in the redirect url.
      required: false
      schema:
        type: string
        example: abcde12345abcde12345a
  responses:
    Saml2IdentityProviders:
      description: SAML2 Identity providers
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                type: array
                items:
                  $ref: '#/components/schemas/Saml2IdentityProvider'
              links:
                type: object
                properties:
                  next:
                    description: A URL to fetch the next page of results, if there is one
                    type: string
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
            example:
              success: true
              result: []
              links:
                next: >-
                  https://api.vidbeo.com/v2/idps?limit=10&cursor=AbCdEfGhIJkLMnOpQrStUvWxYz
              errors: []
  schemas:
    Saml2IdentityProvider:
      type: object
      required:
        - id
        - name
        - company
        - url
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 40
          example: Example
        company:
          type: string
          enum:
            - vidbeo
            - google
            - okta
            - centrify
            - other
          example: google
        url:
          type: string
          minLength: 1
          maxLength: 500
          example: https://idp.com/signin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````